Subject: Re: bug#76660: current guix pull doesn't authenticate

From: Leo Famulari <[email-masked]>
Date: Sun, 9 Mar 2025 17:31:15 -0400

On Sun, Mar 09, 2025 at 10:33:45AM +0100, Tomas Volf wrote:
> I think it could be influenced by the commit you are currently on, and
> the commit you are pulling as latest.  So depending on time of previous
> and current pull, it might work or it might not work.  I assume that
> limits the amount of affected people.

Yes, it might or might not work. Some of us can pull from the "bad
commit", and some of us can't:

https://issues.guix.gnu.org/76660#6

So, either we don't understand all the conditions that trigger this bug,
or it's not deterministic. But we should work to get the fix into
guile-git.